Summary:	Perl Crypto Extension to OpenSSL
Name: 		perl-OpenCA-OpenSSL
Version: 	0.9.135.2.11
Release:	%mkrel 3
License:	BSD-like
Group: 		Development/Perl
URL:		http://www.openca.org
Source0:	OpenCA-OpenSSL-%{version}.tar.gz
Patch0:		OpenCA-OpenSSL-0.9.135.2.11-cvs_fixes.diff
Requires:	openca-sv
Requires:	openssl
BuildRequires:	perl-MIME-tools
BuildRequires:	perl-X500-DN
BuildRequires:	perl-devel
BuildRequires:	perl-libintl-perl
BuildRequires:	openssl >= 0.9.7
BuildRequires:	openssl-devel >= 0.9.7
BuildRequires:	chrpath
BuildRoot: 	%{_tmppath}/%{name}-buildroot

%description
This Perl Module implements an interface to the openssl backend
program. It actually uses the openssl command and it is not fully
integrated as PERL/C mixture.

This product includes OpenCA software written by Massimiliano Pala
(madwolf@openca.org) and the OpenCA Group (www.openca.org)

%prep

%setup -q -n OpenCA-OpenSSL-%{version}
%patch0 -p1 -b .cvs_fixes

# lib64 fix
perl -pi -e "s|/lib\b|%{_libdir}|g" Makefile.PL

%build
export PERL_MM_USE_DEFAULT="1"
export CFLAGS="%{optflags}"
export CCFLAGS="%{optflags}"
export OPENSSL_PREFIX="%{_prefix}"

%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
make test

%install
[ -n "%{buildroot}" -a "%{buildroot}" != / ] && rm -rf %{buildroot}

%makeinstall_std

# nuke rpath
find %{buildroot} -name "*.so" | xargs chrpath -d

%clean 
[ -n "%{buildroot}" -a "%{buildroot}" != / ] && rm -rf %{buildroot}

%files
%defattr(644,root,root,755)
%doc Changes LICENSE doc
%{perl_vendorlib}/*/auto/OpenCA/OpenSSL
%{perl_vendorlib}/*/OpenCA/OpenSSL.pm
%{perl_vendorlib}/*/OpenCA/OpenSSL.pod
%{perl_vendorlib}/*/OpenCA/test_smime.pl
%{perl_vendorlib}/*/OpenCA/OpenSSL
%{_mandir}/*/*


%changelog
* Mon Jan 14 2008 Pixel <pixel@mandriva.com> 0.9.135.2.11-3mdv2008.1
+ Revision: 151335
- rebuild for perl-5.10.0

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Fri Aug 17 2007 Oden Eriksson <oeriksson@mandriva.com> 0.9.135.2.11-2mdv2008.0
+ Revision: 64765
- sync the tarballs from latest openca package


* Fri Mar 02 2007 Oden Eriksson <oeriksson@mandriva.com> 0.9.135.2.11-1mdv2007.0
+ Revision: 131131
- Import perl-OpenCA-OpenSSL

* Fri Feb 17 2006 Oden Eriksson <oeriksson@mandriva.com> 0.9.135.2.11-1mdk
- 0.9.135.2.11 (taken from the OpenCA-0.9.2.5 tar ball)
- don't ship the MANIFEST file
- lib64 fixes
- added fixes from cvs

* Sat Sep 10 2005 Oden Eriksson <oeriksson@mandriva.com> 0.9.135.2.4-2mdk
- rebuild

* Tue Mar 08 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 0.9.135.2.4-1mdk
- 0.9.135.2.4
- taken from the openca-0.9.2.2 tarball, newer than from cvs!

* Fri Feb 04 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 0.9.135.2.1-2mdk
- rebuilt against new perl

* Tue Nov 02 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.9.135.2.1-1mdk
- 0.9.135.2.1
- taken from the openca-0.9.2.1 tarball, newer than from cvs!

* Sun Oct 10 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.9.135-1mdk
- 0.9.135

* Fri Aug 27 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.9.133-1mdk
- 0.9.133

* Mon Aug 16 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.9.132-1mdk
- 0.9.132

* Sun Aug 01 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.9.130-1mdk
- 0.9.130

* Wed Jul 28 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.9.129-1mdk
- 0.9.129

* Thu Jul 22 2004 Stefan van der Eijk <stefan@eijk.nu> 0.9.128-2mdk
- BuildRequires

* Wed Jul 21 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.9.128-1mdk
- 0.9.128

* Wed Jul 14 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.9.127-1mdk
- 0.9.127

* Mon Jul 12 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.9.126-1mdk
- 0.9.126

* Mon Jul 12 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.9.121-2mdk
- built for cooker
- fix some deps (Stefan van der Eijk)

* Fri Jun 18 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.9.121-1mdk
- 0.9.121

* Sun May 30 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.9.117-1mdk
- 0.9.117

* Tue May 25 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.9.113-1mdk
- 0.9.113

* Fri Apr 30 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.9.110-1mdk
- 0.9.110

* Thu Apr 22 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.9.109-1mdk
- 0.9.109

* Fri Apr 16 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.9.103-1mdk
- initial package

